// NOTE:
// this installation script is used only by Mozilla, not Firefox

// User defined constants
  const myProductName = "yahootoolbar"; //same as the package name in contents.rdf
  const myProductRegKey = "/mozilla/yahootoolbar";
  const myProductRegVersion = "0.6.3.20061021";
  const myJarFileName = "yahootoolbar.jar";
  
// Installation Script
    
  var err = initInstall(myProductName, myProductRegKey, myProductRegVersion);
  logComment("initInstall: " + err);
  
  doLocal = confirm("Press OK to install Yahoo! Toolbar in your profile folder\n Press Cancel to install in the application directory.");


  if (doLocal == 1) {
        fChrome = getFolder("Profile","chrome");
        cFlag = PROFILE_CHROME;
  } else {
        fChrome = getFolder("Chrome");
        cFlag = DELAYED_CHROME;
  }

  setPackageFolder(fChrome);
    
  err = addFile("chrome/" + myJarFileName)             
  logComment("addFile() returned: " + err);
  
  regErr = registerChrome(CONTENT | cFlag, getFolder(fChrome,myJarFileName), "content/");
  regErr = registerChrome(LOCALE | cFlag, getFolder(fChrome,myJarFileName), "locale/en-US/");
  regErr = registerChrome(LOCALE | cFlag, getFolder(fChrome,myJarFileName), "locale/es-ES/");
  regErr = registerChrome(LOCALE | cFlag, getFolder(fChrome,myJarFileName), "locale/fr-FR/");
  regErr = registerChrome(LOCALE | cFlag, getFolder(fChrome,myJarFileName), "locale/zh-CN/");
  regErr = registerChrome(LOCALE | cFlag, getFolder(fChrome,myJarFileName), "locale/zh-TW/");
   
  logComment("regChrome returned: " + regErr);

  if (0 == getLastError())
    performInstall();
  else
    cancelInstall(err);
